<?php



$tdataAssegnatos = array();
$tdataAssegnatos[".searchableFields"] = array();
$tdataAssegnatos[".ShortName"] = "Assegnatos";
$tdataAssegnatos[".OwnerID"] = "";
$tdataAssegnatos[".OriginalTable"] = "Assegnatos";


$tdataAssegnatos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\",\"search1\"]}" );
$tdataAssegnatos[".originalPagesByType"] = $tdataAssegnatos[".pagesByType"];
$tdataAssegnatos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\",\"search1\"]}" ) );
$tdataAssegnatos[".originalPages"] = $tdataAssegnatos[".pages"];
$tdataAssegnatos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataAssegnatos[".originalDefaultPages"] = $tdataAssegnatos[".defaultPages"];

//	field labels
$fieldLabelsAssegnatos = array();
$fieldToolTipsAssegnatos = array();
$pageTitlesAssegnatos = array();
$placeHoldersAssegnatos = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsAssegnatos["Portuguese(Standard)"] = array();
	$fieldToolTipsAssegnatos["Portuguese(Standard)"] = array();
	$placeHoldersAssegnatos["Portuguese(Standard)"] = array();
	$pageTitlesAssegnatos["Portuguese(Standard)"] = array();
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Marza"] = "Marza";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Marza"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Marza"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Talea"] = "Talea";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Talea"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Talea"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Varieta"] = "Varieta";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Varieta"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Varieta"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Totale"] = "Totale";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Totale"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Totale"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Codice"] = "Codice";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Codice"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Codice"] = "";
	$fieldLabelsAssegnatos["Portuguese(Standard)"]["Clone"] = "Clone";
	$fieldToolTipsAssegnatos["Portuguese(Standard)"]["Clone"] = "";
	$placeHoldersAssegnatos["Portuguese(Standard)"]["Clone"] = "";
	if (count($fieldToolTipsAssegnatos["Portuguese(Standard)"]))
		$tdataAssegnatos[".isUseToolTips"] = true;
}


	$tdataAssegnatos[".NCSearch"] = true;


	$tdataAssegnatos[".scrollGridBody"] = true;

$tdataAssegnatos[".shortTableName"] = "Assegnatos";
$tdataAssegnatos[".nSecOptions"] = 0;

$tdataAssegnatos[".mainTableOwnerID"] = "";
$tdataAssegnatos[".entityType"] = 0;

$tdataAssegnatos[".strOriginalTableName"] = "Assegnatos";

	



$tdataAssegnatos[".showAddInPopup"] = true;

$tdataAssegnatos[".showEditInPopup"] = false;

$tdataAssegnatos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
					
;
$popupPagesLayoutNames["add"] = "add";
$tdataAssegnatos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataAssegnatos[".listAjax"] = false;
//	temporary
$tdataAssegnatos[".listAjax"] = false;

	$tdataAssegnatos[".audit"] = true;

	$tdataAssegnatos[".locking"] = true;


$pages = $tdataAssegnatos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataAssegnatos[".edit"] = true;
	$tdataAssegnatos[".afterEditAction"] = 1;
	$tdataAssegnatos[".closePopupAfterEdit"] = 1;
	$tdataAssegnatos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataAssegnatos[".add"] = true;
$tdataAssegnatos[".afterAddAction"] = 1;
$tdataAssegnatos[".closePopupAfterAdd"] = 1;
$tdataAssegnatos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataAssegnatos[".list"] = true;
}



$tdataAssegnatos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataAssegnatos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataAssegnatos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataAssegnatos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataAssegnatos[".printFriendly"] = true;
}



$tdataAssegnatos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataAssegnatos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataAssegnatos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataAssegnatos[".isUseAjaxSuggest"] = true;

$tdataAssegnatos[".rowHighlite"] = true;



			

$tdataAssegnatos[".ajaxCodeSnippetAdded"] = false;

$tdataAssegnatos[".buttonsAdded"] = false;

$tdataAssegnatos[".addPageEvents"] = false;

// use timepicker for search panel
$tdataAssegnatos[".isUseTimeForSearch"] = false;




$tdataAssegnatos[".allSearchFields"] = array();
$tdataAssegnatos[".filterFields"] = array();
$tdataAssegnatos[".requiredSearchFields"] = array();

$tdataAssegnatos[".googleLikeFields"] = array();
$tdataAssegnatos[".googleLikeFields"][] = "Data";
$tdataAssegnatos[".googleLikeFields"][] = "Marza";
$tdataAssegnatos[".googleLikeFields"][] = "Talea";
$tdataAssegnatos[".googleLikeFields"][] = "Varieta";
$tdataAssegnatos[".googleLikeFields"][] = "Totale";
$tdataAssegnatos[".googleLikeFields"][] = "Codice";
$tdataAssegnatos[".googleLikeFields"][] = "Clone";



$tdataAssegnatos[".tableType"] = "list";

$tdataAssegnatos[".printerPageOrientation"] = 0;
$tdataAssegnatos[".nPrinterPageScale"] = 100;

$tdataAssegnatos[".nPrinterSplitRecords"] = 40;

$tdataAssegnatos[".geocodingEnabled"] = false;










$tdataAssegnatos[".pageSize"] = 999;

$tdataAssegnatos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataAssegnatos[".strOrderBy"] = $tstrOrderBy;

$tdataAssegnatos[".orderindexes"] = array();

$tdataAssegnatos[".sqlHead"] = "SELECT `Data`,  	Marza,  	Talea,  	Varieta,  	Totale,  	Codice,  	Clone";
$tdataAssegnatos[".sqlFrom"] = "FROM Assegnatos";
$tdataAssegnatos[".sqlWhereExpr"] = "";
$tdataAssegnatos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataAssegnatos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataAssegnatos[".arrGroupsPerPage"] = $arrGPP;

$tdataAssegnatos[".highlightSearchResults"] = true;

$tableKeysAssegnatos = array();
$tableKeysAssegnatos[] = "Varieta";
$tdataAssegnatos[".Keys"] = $tableKeysAssegnatos;


$tdataAssegnatos[".hideMobileList"] = array();




//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Data"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Data";
//	Marza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Marza";
	$fdata["GoodName"] = "Marza";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Marza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Marza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Marza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Marza";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Marza";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Marza"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Marza";
//	Talea
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Talea";
	$fdata["GoodName"] = "Talea";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Talea");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Talea";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Talea";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Talea"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Talea";
//	Varieta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Varieta";
	$fdata["GoodName"] = "Varieta";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Varieta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Varieta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Varieta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Varieta"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Varieta";
//	Totale
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Totale";
	$fdata["GoodName"] = "Totale";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Totale");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Totale";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Totale"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Totale";
//	Codice
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Codice";
	$fdata["GoodName"] = "Codice";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Codice");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Codice";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Codice";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Codice"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Codice";
//	Clone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Clone";
	$fdata["GoodName"] = "Clone";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Assegnatos","Clone");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Clone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataAssegnatos["Clone"] = $fdata;
		$tdataAssegnatos[".searchableFields"][] = "Clone";


$tables_data["Assegnatos"]=&$tdataAssegnatos;
$field_labels["Assegnatos"] = &$fieldLabelsAssegnatos;
$fieldToolTips["Assegnatos"] = &$fieldToolTipsAssegnatos;
$placeHolders["Assegnatos"] = &$placeHoldersAssegnatos;
$page_titles["Assegnatos"] = &$pageTitlesAssegnatos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Assegnatos"] = array();
//	Vinha
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Vinha";
		$detailsParam["dOriginalTable"] = "Vinha";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Vinha";
	$detailsParam["dCaptionTable"] = GetTableCaption("Vinha");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Assegnatos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Assegnatos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Assegnatos"][$dIndex]["masterKeys"][]="Codice";

				$detailsTablesData["Assegnatos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Assegnatos"][$dIndex]["detailKeys"][]="CodPlanta";

// tables which are master tables for current table (detail)
$masterTablesData["Assegnatos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_Assegnatos()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "`Data`,  	Marza,  	Talea,  	Varieta,  	Totale,  	Codice,  	Clone";
$proto1["m_strFrom"] = "FROM Assegnatos";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto7["m_sql"] = "`Data`";
$proto7["m_srcTableName"] = "Assegnatos";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto9["m_sql"] = "Marza";
$proto9["m_srcTableName"] = "Assegnatos";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Talea",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto11["m_sql"] = "Talea";
$proto11["m_srcTableName"] = "Assegnatos";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto13["m_sql"] = "Varieta";
$proto13["m_srcTableName"] = "Assegnatos";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto15["m_sql"] = "Totale";
$proto15["m_srcTableName"] = "Assegnatos";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto1["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "Codice",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto17["m_sql"] = "Codice";
$proto17["m_srcTableName"] = "Assegnatos";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto1["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Assegnatos"
));

$proto19["m_sql"] = "Clone";
$proto19["m_srcTableName"] = "Assegnatos";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "Assegnatos";
$proto22["m_srcTableName"] = "Assegnatos";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "Data";
$proto22["m_columns"][] = "Marza";
$proto22["m_columns"][] = "Talea";
$proto22["m_columns"][] = "Varieta";
$proto22["m_columns"][] = "Totale";
$proto22["m_columns"][] = "Codice";
$proto22["m_columns"][] = "Clone";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_sql"] = "Assegnatos";
$proto21["m_alias"] = "";
$proto21["m_srcTableName"] = "Assegnatos";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = false;
$proto23["m_inBrackets"] = false;
$proto23["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Assegnatos";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_Assegnatos = createSqlQuery_Assegnatos();


	
		;

							

$tdataAssegnatos[".sqlquery"] = $queryData_Assegnatos;

$tableEvents["Assegnatos"] = new eventsBase;
$tdataAssegnatos[".hasEvents"] = false;

?>